[+] New feature
[-] Bug fixed


v1.08 (19/09/11)
    [-] Keyboard interruption (Ctrl+C) doesn't work (#817803)
    [-] AudioScrobbler cache lost when Decibel is not closed properly (#787989)
    [-] Exception when the cover cannot be retrieved (#825083)
    [-] Album art extends past screen boundaries (#821452)
    [-] Remote sometimes fails with relative paths (#800813)
    [-] Make with DESTDIR writes incorrect path (#731383)
    [-] Folder listing mixes lower and upper case letters (#797862)
    [-] Skipping track just before the end skips the following track (#770346)
    [ ] Reverting playlist stops playback (#714548)
    [ ] Volume button not shown by default (#732956)
    [ ] On execution, raise if already running (#770111)
    [ ] Show filename instead of title when no title tag exists (#732583)
    [ ] Added a 'filename' column to the tracklist (right-click on column headers to display it)
    [ ] Convert from Libglade to GtkBuilder (#799738)


v1.07 (06/03/11)
    [+] Libraries may be filtered by genre using the popup menu
    [+] Can't play wav files (#653496)
    [+] Add an automatic shuffle feature (#510278)
    [+] Add a module that resumes playback on startup (#534031)
    [+] Added a 'lean' view mode (#523943)
    [+] Added a 'netbook' view mode (#711629)
    [+] Let external apps access the current cover (#715833)
    [-] Don't spawn multiple instances from the .desktop file (#704221)
    [ ] Playbin2 with pulseaudio sets volume to 100% (#511589)
    [ ] Make left clicks on slider act the same as middle clicks (#676548)
    [ ] "Add" option is missing on right-click (#677168)
    [ ] Don't preserve the ratio of covers when the distortion isn't noticeable


v1.06 (17/10/10)
    [+] Albums in the Library can be added to favorites using the popup menu
    [+] Added an option to search for covers in parent directories as well (#605644)
    [-] CD explorer not always removed when unloading the CD module (#603902)
    [-] AudioScrobbler submission blocked by '\0' bytes (#604016)
    [-] Tracklist scrolls up upon insertion (#607261)
    [-] List of explorers not kept sorted when renaming a library (#610202)
    [-] File chooser dialog box does not appear on some systems
    [-] Can't play previous track from the remote (#656040)
    [-] Scaling covers should preserve ratio (#654321)
    [ ] Revamped the preferences dialog box
    [ ] Respect the "Show hidden files" option when playing tracks from the File Explorer (#611703)
    [ ] Automatically show preferences the first time the application is started


v1.05 (27/06/10)
    [+] Stick to the Media Player Remote Interface Specifications (#534021)
    [+] Show some information on the selected tracks in the status bar
    [+] Added presets to the equalizer
    [+] [StatusIcon] Middle-click toggles pause, scroll changes volume (Laszlo Pandy)
    [+] Added Zeitgeist support (#579972)
    [-] Skips two songs when one is not found (#581654)
    [-] Fixed crash in some rare occasions when trying to set the cover for the current track
    [-] Fixed Gnome media keys no longer working when starting/closing multiple instances
    [-] Fixed labels not always properly updated in the equalizer
    [ ] Ignore disc number when it looks like '1/1' (#596350)
    [ ] Improved startup time
    [ ] The playbin2 GStreamer component is now used by default (use the --playbin flag to use the old playbin component)
    [ ] Equalizer module has a menu item (CTRL-E) when enabled (#495761)
    [ ] Close properly on CTRL-C


v1.04 (13/05/10)
    [+] Show album cover in desktop notifications if both modules are enabled (#418076)
    [+] Added a wildcard (*) for cover names (#541763)
    [+] Added more keyboard shortcuts to the tracklist (#523689)
    [+] CD-ROM read speed can be configured (#502297)
    [+] Added a bitrate column in the tracklist (hidden by default)
    [-] Drag'n'Drop into the playlist not always working correctly (#501114)
    [-] Improper sorting when adding tracks that don't all have a performer tag (#509494)
    [-] Don't allow playback of a disc when there is no disc in the drive
    [-] Removing a root folder in the File Explorer doesn't work correctly (#496154)
    [-] Cannot open playlists using backslashes as path separators (#526273)
    [-] Cannot play files with a percent sign in their path (#528442)
    [-] Cannot start when view mode was set to nano in v1.02 (#512892)
    [-] [AudioScrobbler] Song not submitted when quitting while playing (#565828)
    [-] Fixed passwords not being stored on Ubuntu 10.04 (#578124)
    [-] Time slider sometimes stops moving (#424976)
    [-] Fixed lowercase/uppercase issue in the library (#513965)
    [ ] Gloss effect on covers can be disabled by using the --no-glossy-cover option on the command line (#562905)
    [ ] "Save as" dialog now opens the last directory used (#523692)
    [ ] Don't start a new instance when there is already one running (#490719)
    [ ] Play button plays selected track if any (#511720)


v1.03 (10/01/10)
    [+] Improved the look of the cover thumbnail
    [-] Fixed grey text not always visible once selected (#331867)
    [-] Fixed removing a root folder in the File Explorer not working correctly (#496154)
    [ ] Merged mini and nano modes
    [ ] Fixed deprecation warnings about the tooltips


v1.02 (29/11/09)
    [+] Added support for .ape files (#425326)
    [+] In the list of explorers, replace "Audio CD" by the actual disc name when known (#425768)
    [+] Added support for ac3 and mp2 files (#442843)
    [+] Added an option to the File Explorer to add files to the playlist by their name (#311427)
    [-] Fixed files with a '#' character in their path not being played (#428307)
    [-] Fixed '&' character not correctly displayed in the Library randomness menu (#425132)
    [-] Fixed improper length for MP3 files without ID3 tags (#426388)
    [-] Fixed 'play' button not working properly when not already playing/paused (#486983)
    [-] Fixed a refresh bug causing the application to hang (#473886)
    [ ] Better behavior of the list of explorers when renaming a library/root folder


v1.01 (05/09/09)
    [+] Added a 10-bands equalizer module (#194506)
    [+] Added a ReplayGain module (#179094)
    [+] Added a Twitter module (#415836)
    [+] "Play a random album" added to the context menu of the Library (#385114)
    [+] Added support for WavPack files (#343080)
    [+] Added a revert entry to the tracklist popup menu (#329639)
    [+] The state of the File Explorer's trees is restored (#414786)
    [+] Removed the concept of media directories, add directories' contents recursively (File Explorer) (#179998)
    [+] Replaced the "view" menu by a mode selector (#416823)
    [-] Fixed a bug related to cropping non-current track (#410199)
    [-] Fixed remote not working with playlist operations (#390978)
    [-] Disable the 'skip track' option if the notification server doesn't support actions (#328609)
    [-] Fixed application not working after locale change (#311293)
    [-] Fixed Pidgin status not updated by the IMStatus module
    [-] Fixed misusage of the Gnome keyring (only one password could be stored for the whole app)
    [-] Restore maximized state properly (#305897)
    [-] Fixed AudioScrobbler module no longer submitting tracks in case of very bad tags (#307525)
    [ ] Save preferences when receiving the SIGTERM signal (#211196)
    [ ] Make the last track the previous track of the first track when repeat is enabled (#324463)
    [ ] Added '/' as a default folder of the File Explorer for first time users
    [ ] Removed 'Encoding' key from desktop file (#307714)
    [ ] Repeat and shuffle icons are no longer hard coded (#308340)
    [ ] Rewrote the GStreamer-based playback engine, see NOTE below
    [ ] Added .oga as a valid extension for Ogg Vorbis files
    [ ] Default application icon size is now 128x128 (better integration with e.g., Gnome Do)
    [ ] Replaced the md5 module (deprecated) by the hashlib one (#398587)

    NOTE: Decibel Audio Player can now use the playbin2 GStreamer component, which notably provides a better gapless playback.
          However, this component is still unstable and can sometimes crash the application. Moreover, older versions of playbin2
          cannot play audio CDs. For these reasons, this component is used only if the --playbin2 option is provided on the command
          line when starting Decibel Audio Player.


v1.00 (23/11/08)
    [+] The cover thumbnail can be clicked or hovered to display a larger version of the cover (#282560)
    [+] Column headers in the tracklist may be right-clicked to show/hide columns (#286255)
    [+] Middle-clicking in an explorer adds the selection to the playlist (#285449)
    [-] Fixed intermittent wrong sort order when adding files to the playlist from the file explorer (#271856)
    [-] Fixed external Drag'n'Drop not working (#264661)
    [-] Fixed improper sorting of albums in the Library when the number of discs is above 10 (#273312)
    [-] Fixed potential crash while loading a library when an artist tag is an empty string (#278470)
    [-] Fixed a crash when refreshing a library while the root directory no longer exists (#286256)
    [-] Fixed a bug related to artists' grouping in the Library module (#297765)
    [-] Fixed a bug preventing some covers to be displayed (#301244)
    [-] Fixed some date/year tags not being read correctly
    [ ] Revamped online help
    [ ] Show the window if it is hidden when unloading the StatusIcon module (#277962)
    [ ] Added RGBA support (#274390)
    [ ] Fixed some untranslated strings (#261479)


v0.11 (21/08/08)
    [+] Added a module to display album covers (#179099)
    [+] Added a panel showing current track information, can be hidden through the 'View' menu
    [+] Alphabetical headers in the library module can be 'played' (#231259)
    [+] The status of the repeat button is saved and restored (#232293)
    [+] Browsing trees with the keyboard is possible (#243169)
    [+] The explorer panel can be shown/hidden through the 'View' menu (#234721)
    [+] The MusicBrainz Track ID, if available, is submitted to Last.fm (#256361)
    [+] More tags are read from the files, and can be displayed in e.g., popups (#256375)
    [+] Disc number, if any, is displayed right after the album name in the tracklist (#234999)
    [+] When a track cannot be played (e.g., the corresponding file has been removed), it is tagged with an error icon (#256400)
    [-] Fixed incorrect entries in the .desktop file (#231714) (#229767)
    [-] Fixed crash in the Library module upon permission problems (#253574)
    [-] Fixed crash when tags are present but empty (Library) (#201128)
    [-] Fixed improper restoration of the volume upon startup when it is equal to zero (#256005)
    [-] Fixed not correctly submitted tracks with non-standard UTF-8 characters (#259045)
    [-] Fixed intermittent improper columns resizing in the tracklist
    [ ] Better default sort order, useful when files are not correctly tagged (#211190)
    [ ] Immediately hide the main window upon exiting, don't wait for modules (#243186)
    [ ] Show a 'loading...' message while reading the contents of a directory (File Explorer) (#202603)
    [ ] Libraries are tagged with a version number, and may need to be rescanned upon structural changes


v0.10 (11/05/08)
    [+] Added a volume button (based on a patch by Matti Mårds -- mamaar@gmail.com)
    [+] Added support for the "album artist" tag (you will have to rescan your collections) (#152646)
    [+] Added many new translations
    [-] Fixed multimedia keys no longer working with Gnome >= 2.22 (#208354)
    [-] Fixed problems related to icon size (#223559)
    [-] Fixed bug related to selecting a removed explorer (#211186)
    [-] Fixed a crash when selecting a File Explorer folder pointing to a deleted folder (#207675)
    [ ] Removed additional tags previously used in the title of desktop notifications (#200409)
    [ ] Better "make clean" (thanks to Emilio Pozuelo Monfort) (#186442)


v0.09 (27/01/08)
    [+] Added a module for playing audio CDs (#180771)
    [+] Added the possibility to rename media folders (File Explorer) and libraries (#160026)
    [+] Added an option to show a Banshee-like "skip track" button to desktop notifications (#181761)
    [+] Added a command to set the volume from the remote
    [+] Added Brazilian Portuguese translation
    [-] The remote no longer clears the current log file (#179647)
    [-] Modules are now alphabetically sorted in preferences even in non-english languages (#180754)
    [ ] Added a manpage for the remote (#181681)


v0.08 (31/12/07)
    [+] The state of libraries' trees is now restored
    [+] Added D-Bus support (use decibel-audio-player-remote to control the player)
    [+] Added a "collapse all" entry to the popup menu of Library and FileExplorer modules
    [+] Added support for mp4 (#179091), mpc, and wma files (check first that the corresponding GStreamer packages are installed!)
    [+] Added multilingual support, only French is available at the moment
    [-] Fixed crash in IMStatus when D-Bus is unavailable (#174020)
    [-] Fixed crash when trying to read a corrupted media file (#176126)
    [-] Fixed bad layout in AudioScrobbler login dialog (#152783)
    [ ] One click on the status icon is now enough to show the window when it doesn't have the focus
    [ ] Moved config directory from ~/.decibel-audio-player to ~/.config/decibel-audio-player (#163614)
    [ ] Improved a bit the Library module
    [ ] Some code cleanup


v0.07 (18/11/07)
    [+] Added support for Gnome multimedia keys (#150291)
    [+] Added logging facilities (log files are located in "~/.decibel-audio-player/Logs/", check them upon errors)
    [+] A special status icon is now used when playback is paused
    [+] Added a repeat feature
    [+] Improved help system
    [-] Better handling of MP3 files with bad compressed data (#152713)
    [-] Fixed DesktopNotification not showing title on some Linux distributions (#154925)
    [-] Fixed tray popup menu positioning
    [-] Shuffle now ensures that the current track, if any, stays visible
    [ ] Cleaned tracklist popup menu
    [ ] Irrelevant tray popup menu items are now disabled instead of being hidden (see GNOME HIG)
    [ ] Fixed manpage (thanks to Emilio Pozuelo Monfort)


v0.06.3 (14/10/07)
    [-] Fixed a bug with some track number formats for both Ogg Vorbis and Flac files (#152708)
    [-] Fixed a bug with Pidgin status handling (#152550)
    [ ] Slightly changed the size of the status icon based on the available space


v0.06.2 (13/10/07)
    [-] Fixed a bug that prevented drag'n'drop from working properly on Ubuntu Gutsy


v0.06 (22/09/07)
    [+] Added a Library module
    [+] Added a module that generates a text file with the current status
    [+] Added the possibility to sort the playlist by clicking on column headers
    [+] Added support for Flac files (check first that the corresponding GStreamer package is installed!)
    [+] Increased startup speed when restoring a large playlist
    [-] Fixed some drag'n'drop reordering bugs in the playlist
    [-] Fixed a bug that prevented multiple selection from working correctly when caps lock was on
    [ ] Removed some Python 2.5 code for Python 2.4 compatibility
    [ ] Fixed some entries in the .desktop file (thanks to Emilio Pozuelo Monfort)
    [ ] A few GUI improvements


v0.05.2 (15/08/07)
    [-] Fixed a bug that prevented the AudioScrobbler module from being loaded when not using Gnome


v0.05 (10/08/07)
    [+] Added a dependency system, that prevents a module from being loaded if it depends on uninstalled Python packages
    [+] Added a StatusIcon module (adds an icon to the notification area)
    [+] Added a shuffle feature
    [+] Added two new fields (playlist position and playlist length) to the available information about a track (e.g., in DesktopNotification)
    [+] Added a refresh feature to the file explorer (use the popup menu)
    [+] Added the possibility to show/hide hidden files in the file explorer (use the popup menu)
    [+] Better drag'n'drop support in the playlist
    [+] Enabled multiple selection mode in the file explorer
    [-] Hide the desktop notification upon quitting or stopping if it is still displayed
    [-] Fixed crash when choosing a directory (in the combo box) that has been deleted
    [-] Fixed crash when trying to play something that has been removed from the disk


v0.04 (07/07/07)
    [+] Added an AudioScrobbler module (submits tracks to Last.fm)
    [+] Added preferences to most modules
    [+] It is now possible to decide whether a module (e.g., DesktopNotification) should be loaded
    [-] DesktopNotification now reuses the same popup if it is still visible (instead of stacking them)
    [ ] Added some artwork (thanks to Sébastien Durel -- Babasse@crystalxp.net)


v0.03 (07/06/07)
    [+] Enabled multiple selection in the playlist
    [+] Enabled external drag'n'drop in the playlist
    [+] Added a crop menu entry to the popup menu of the playlist
    [-] Fixed crash when loading a playlist with non-existing files
    [-] Fixed playlists not being loaded when double-clicking on a directory in the file explorer
    [-] Fixed separators not showing in the popup menu of the playlist
    [-] Fixed directories not expandable when unable to access to another directory at the same level in the file explorer
    [-] Fixed current track not always visible
    [ ] Modified Makefile to allow the use of a custom installation prefix (thanks to Emilio Pozuelo Monfort)
    [ ] Miscellaneous usability improvements


v0.02 (23/05/07)
    [+] No more blank between tracks when there should not be
    [+] Added a file explorer
    [+] Added a module that updates active IM clients status (supports Gaim >= 2.0 beta6, Gajim, Gossip, Pidgin)
    [+] Added a popup menu to the playlist
    [+] Added internal drag'n'drop support to the playlist
    [+] Added the possibility to save/load playlists
    [+] Added the possibility to use the seek slider when paused
    [-] Fixed a visual glitch on notifications when displaying special characters
    [-] Fixed mp3 files without tags not loading
    [-] Fixed wrong control buttons state when adding files to the playlist
    [-] Fixed incorrect behavior of the seek slider


v0.01 (13/05/07)
    [ ] First release
